#include <qapplication.h>
#include <qdir.h>
#include <qfontdatabase.h>

#include "stringlistedit.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QFontDatabase fonts;
    QStringList list = fonts.families();
    StringListEdit *listEdit = new StringListEdit(list);
    listEdit->setAskBeforeRemoving(true);
    listEdit->setCaption("Font List");
    listEdit->setTexts("Add Font Name", "&Name:", "Edit Font Name");
    if (listEdit->exec())
        list = listEdit->list();
    qDebug("%s", list.join(", ").latin1());

    QDir dir;
    list = dir.entryList(QDir::Files, QDir::Name);
    for (uint i = 0; i < list.count(); ++i)
        list[i] = dir.absFilePath(list[i]);
    FileListEdit *fileList = new FileListEdit(list);
    fileList->setCaption("File List");
    fileList->setTexts("Add Filename", "&Filename:", "Edit Filename");
    if (fileList->exec())
        list = fileList->list();
    qDebug("%s", list.join("\n").latin1());
}
